<?php
return [
    'ctrl' => [
        'title'	=> 'LLL:EXT:issue78128/Resources/Private/Language/locallang_db.xlf:tx_issue78128_domain_model_tableb',
        'label' => 'c1',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => 1,

        'enablecolumns' => [

        ],
        'searchFields' => 'c1,c2,',
        'iconfile' => 'EXT:issue78128/Resources/Public/Icons/tx_issue78128_domain_model_tableb.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'c1, c2',
    ],
    'types' => [
        '1' => ['showitem' => 'c1, c2, '],
    ],
    'columns' => [

	    'c1' => [
	        'exclude' => 1,
	        'label' => 'LLL:EXT:issue78128/Resources/Private/Language/locallang_db.xlf:tx_issue78128_domain_model_tableb.c1',
	        'config' => [
			    'type' => 'select',
			    'renderType' => 'selectMultipleSideBySide',
			    'foreign_table' => 'tx_issue78128_domain_model_tablec',
			    'MM' => 'tx_issue78128_tableb_tablec_mm',
			    'size' => 10,
			    'autoSizeMax' => 30,
			    'maxitems' => 9999,
			    'multiple' => 0,
			    'wizards' => [
			        '_PADDING' => 1,
			        '_VERTICAL' => 1,
			        'edit' => [
			            'module' => [
			                'name' => 'wizard_edit',
			            ],
			            'type' => 'popup',
			            'title' => 'Edit', // todo define label: LLL:EXT:.../Resources/Private/Language/locallang_tca.xlf:wizard.edit
			            'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
			            'popup_onlyOpenIfSelected' => 1,
			            'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
			        ],
			        'add' => [
			            'module' => [
			                'name' => 'wizard_add',
			            ],
			            'type' => 'script',
			            'title' => 'Create new', // todo define label: LLL:EXT:.../Resources/Private/Language/locallang_tca.xlf:wizard.add
			            'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
			            'params' => [
			                'table' => 'tx_issue78128_domain_model_tablec',
			                'pid' => '###CURRENT_PID###',
			                'setValue' => 'prepend'
			            ],
			        ],
			    ],
			],

	    ],
	    'c2' => [
	        'exclude' => 1,
	        'label' => 'LLL:EXT:issue78128/Resources/Private/Language/locallang_db.xlf:tx_issue78128_domain_model_tableb.c2',
	        'config' => [
			    'type' => 'select',
			    'renderType' => 'selectMultipleSideBySide',
			    'foreign_table' => 'tx_issue78128_domain_model_tablec',
			    'MM' => 'tx_issue78128_tableb_c2_tablec_mm',
			    'size' => 10,
			    'autoSizeMax' => 30,
			    'maxitems' => 9999,
			    'multiple' => 0,
			    'wizards' => [
			        '_PADDING' => 1,
			        '_VERTICAL' => 1,
			        'edit' => [
			            'module' => [
			                'name' => 'wizard_edit',
			            ],
			            'type' => 'popup',
			            'title' => 'Edit', // todo define label: LLL:EXT:.../Resources/Private/Language/locallang_tca.xlf:wizard.edit
			            'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_edit.gif',
			            'popup_onlyOpenIfSelected' => 1,
			            'JSopenParams' => 'height=350,width=580,status=0,menubar=0,scrollbars=1',
			        ],
			        'add' => [
			            'module' => [
			                'name' => 'wizard_add',
			            ],
			            'type' => 'script',
			            'title' => 'Create new', // todo define label: LLL:EXT:.../Resources/Private/Language/locallang_tca.xlf:wizard.add
			            'icon' => 'EXT:backend/Resources/Public/Images/FormFieldWizard/wizard_add.gif',
			            'params' => [
			                'table' => 'tx_issue78128_domain_model_tablec',
			                'pid' => '###CURRENT_PID###',
			                'setValue' => 'prepend'
			            ],
			        ],
			    ],
			],

	    ],
        
        'tablea' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
    ],
];
