#
# Table structure for table 'tx_issue78128_domain_model_tablea'
#
CREATE TABLE tx_issue78128_domain_model_tablea (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	c int(11) unsigned DEFAULT '0' NOT NULL,
	b int(11) unsigned DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),

);

#
# Table structure for table 'tx_issue78128_domain_model_tablec'
#
CREATE TABLE tx_issue78128_domain_model_tablec (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tablea int(11) unsigned DEFAULT '0' NOT NULL,

	name varchar(255) DEFAULT '' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),

);

#
# Table structure for table 'tx_issue78128_domain_model_tableb'
#
CREATE TABLE tx_issue78128_domain_model_tableb (

	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,

	tablea int(11) unsigned DEFAULT '0' NOT NULL,

	c1 int(11) unsigned DEFAULT '0' NOT NULL,
	c2 int(11) unsigned DEFAULT '0' NOT NULL,

	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid),

);

#
# Table structure for table 'tx_issue78128_domain_model_tablec'
#
CREATE TABLE tx_issue78128_domain_model_tablec (

	tablea int(11) unsigned DEFAULT '0' NOT NULL,

);

#
# Table structure for table 'tx_issue78128_domain_model_tableb'
#
CREATE TABLE tx_issue78128_domain_model_tableb (

	tablea int(11) unsigned DEFAULT '0' NOT NULL,

);

#
# Table structure for table 'tx_issue78128_tableb_tablec_mm'
#
CREATE TABLE tx_issue78128_tableb_tablec_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

#
# Table structure for table 'tx_issue78128_tableb_c2_tablec_mm'
#
CREATE TABLE tx_issue78128_tableb_c2_tablec_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);
